Test Namespace Reference

General test support. More...

## Namespaces

namespace | Array
| Tests for arrays.
namespace | Assign
| Tests for assignments.
namespace | Branch
| Tests for branchings.
namespace | FlatZinc
| Tests for FlatZinc.
namespace | Float
| Testing domain floats.
namespace | Int
| Testing finite domain integers.
namespace | LDSB
| Testing for LDSB.
namespace | NoGoods
| Tests for search using no-goods.
namespace | Search
| Tests for search engines.
namespace | Set
| Testing finite sets.

## Classes

class | AFC
| Test for AFC infrastructure More...
class | Region
| Test for Region memory area More...
class | SortByName
| Sort tests by name. More...
class | ind
| Simple class for describing identation. More...
class | Options
| Commandline options. More...
class | Base
| Base class for all tests to be run More...

## Enumerations

enum | MatchType { MT_ANY , MT_NOT , MT_FIRST }
| How to match. More...

## Functions

void | report_error (std::string name)
int | main (int argc, char *argv[])
| Main function.
std::ostream & | operator<< (std::ostream &os, const Test::ind &i)
| Print indentation.

## Variables

AFC | afc
Region | r
std::ostringstream | olog
| Stream used for logging.
Options | opt
| The options.
std::vector< std::pair< MatchType, const char * > > | testpat
const char * | startFrom = NULL
bool | list = false

## Detailed Description

General test support.

## Enumeration Type Documentation

## MatchType

enum Test::MatchType

How to match.

Enumerator
MT_ANY |
MT_NOT |
MT_FIRST |

Definition at line 109 of file test.cpp.

## Function Documentation

## report_error()

void Test::report_error | ( | std::string | name | ) |

Definition at line 99 of file test.cpp.

## Variable Documentation

## afc

AFC Test::afc

Definition at line 135 of file afc.cpp.

## r

Region Test::r

Definition at line 65 of file region.cpp.

## olog

std::ostringstream Test::olog

Stream used for logging.

The olog is buffered and printed only if an error has occured.

Definition at line 53 of file test.cpp.

## opt

Options Test::opt

The options.

Definition at line 97 of file test.cpp.

## testpat

std::vector<std::pair<MatchType, const char*> > Test::testpat

Definition at line 115 of file test.cpp.

## startFrom

const char* Test::startFrom = NULL

Definition at line 116 of file test.cpp.

## list

bool Test::list = false

Definition at line 117 of file test.cpp.